<?php
if (!defined('DC_CONTEXT_ADMIN')) { exit; }

if (!empty($_POST['nukeem'])) {
	// Let's remove all posts
	$strReq = 'select count(*) from '.$core->prefix.'post where blog_id = \''.$core->blog->id.'\'';
	$rs = $core->con->select($strReq);
	if ($rs->fetch()) {
		$nbPosts = $rs->f(0);
	}
	$strReq = 'delete from '.$core->prefix.'post where blog_id = \''.$core->blog->id.'\'';
	$core->con->execute($strReq);

	// Then, let's remove all categories
	$strReq = 'select count(*) from '.$core->prefix.'category where blog_id = \''.$core->blog->id.'\'';
	$rs = $core->con->select($strReq);
	if ($rs->fetch()) {
		$nbCats = $rs->f(0);
	}
	$strReq = 'delete from '.$core->prefix.'category where blog_id = \''.$core->blog->id.'\'';
	$core->con->execute($strReq);

	// Finally, let's remove all links
	$strReq = 'select count(*) from '.$core->prefix.'link where blog_id = \''.$core->blog->id.'\'';
	$rs = $core->con->select($strReq);
	if ($rs->fetch()) {
		$nbLinks = $rs->f(0);
	}
	$strReq = 'delete from '.$core->prefix.'link where blog_id = \''.$core->blog->id.'\'';
	$core->con->execute($strReq);

	// Remove all media if requested
	if (!empty($_POST['emptymedia'])) {
		$strReq = 'select count(*) from '.$core->prefix.'media where media_path = \''.$core->con->escape($core->blog->settings->public_path).'\'';
		$rs = $core->con->select($strReq);
		if ($rs->fetch()) {
			$nbMedia = $rs->f(0);
		}
		$strReq = 'delete from '.$core->prefix.'media where media_path = \''.$core->con->escape($core->blog->settings->public_path).'\'';
		$core->con->execute($strReq);
	} else {
		$nbMedia = 0;
	}

	// Then we optimize all the tables that were emptied
	$core->con->vacuum($core->prefix.'post');
	$core->con->vacuum($core->prefix.'category');
	$core->con->vacuum($core->prefix.'link');
	$core->con->vacuum($core->prefix.'media');

	// Prepare a message for displaying the results
	if ($msg != '') {
		$msg .= '</p><p class="message">';
	}
	$msg .= sprintf(__('%1$s posts, %2$s categories, %3$s links and info for %4$s media were removed from %5$s.'), $nbPosts, $nbCats, $nbLinks, $nbMedia, $core->blog->name);
}

?>
<html>
<head>
	<title><?php echo __('Big Red Button'); ?></title>
	<?php echo dcPage::jsPageTabs($part); ?>
	<script type="text/javascript">
	  //<![CDATA[
	  	<?php echo dcPage::jsVar('dotclear.msg.confirm_blogcontent_delete',
	  	sprintf(__('Are you really sure you want to empty %s?'), $core->blog->name)); ?>
	  	$(function() {
			$('input[@name="nukeem"]').click(function() {
				return window.confirm(dotclear.msg.confirm_blogcontent_delete);
			});
		});
	  //]]>
	</script>
</head>
<body>
<h2><?php echo html::escapeHTML($core->blog->name); ?>&nbsp;&gt; <?php echo __('Big Red Button'); ?></h2>

<?php if (!empty($msg)) echo '<p class="message">'.$msg.'</p>'; ?>

<div class="multi-part" id="actions" title="<?php echo __('Actions'); ?>">
	<p class="message"><?php echo sprintf(__('Are you absolutely sure you want to empty "%s"?'), $core->blog->name); ?></p>
	<p class="form-note"><?php echo __("Warning: this will empty all the content of your blog: post, comments, links, ..."); ?></p>
	<form method="post" action="plugin.php">
		<p><label class="classic"><?php echo form::checkbox('emptymedia',1,(empty($_POST['nukeem']) || !empty($_POST['emptymedia']))).__('Empty media data'); ?></label></p>
		<p><input type="hidden" name="p" value="bigRedButton" />
		<input type="submit" name="nukeem" value="<?php echo __('Empty the blog'); ?>" />
		<?php echo $core->formNonce(); ?></p>
	</form>
</div>

<div class="multi-part" id="changelog" title="<?php echo __('Changelog'); ?>">
<h3>Version 0.2</h3>
<p><?php echo sprintf(__('Released on %s'), '2007-08-05'); ?></p>
<ul>
<li><?php echo __('Added removal of media info.'); ?></li>
</ul>
<h3>Version 0.1</h3>
<p><?php echo sprintf(__('Released on %s'), '2007-08-01'); ?></p>
<ul>
<li><?php echo __('First public release.'); ?></li>
</ul>
<div class="copyright" style="margin-top:2em;"><h4><?php echo __('Copyright information'); ?></h4>
<p><?php echo sprintf(__('The icon used for this plugin is part of the %1$s and %2$s 2007 by %3$s and distributed under a Creative Common Attribution-ShareAlike 3.0 license.'), '<a href="http://www.oxygen-icons.org/" hreflang="en">KDE Oxygen Icon Theme</a>', '&copy;', ' David Vignoni, Johann Ollivier Lapeyre, Kenneth Wimer, Nuno Fernades Pinheiro,  Riccardo Iaconelli, David Miller'); ?></p> 
<p><?php echo sprintf(__('All the code is %s 2007 by %s and distributed under the terms of the GPL2 license.'), '&copy;', '<a href="http://www.mudry.org/">julien mudry</a>'); ?></p>
</div>
</div>
</body>
</html>
